#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
int main()
{
    map<int, int> M;
    for (int i = 0; i < 18; i++)
    {
        int x;
        scanf("%d", &x);
        M[x]++;
    }
    for (auto &i : M)
        if (i.first)
            i.second %= 2;
    int ans = 0;
    for (auto &i : M)
        ans += i.second;
    cout << ans;
    return 0;
}
